const styleTableId = "#styleTable";


// region Init Module

function initMessageStylesModule() {
    initializeDataTable(
        styleTableId,
        [
            {
                title: "Name",
                data: "name"
            },
            {
                title: "Is Embed?",
                data: "is_embed"
            },
            {
                title: "Is Hyperlinked?",
                data: "is_hyperlinked"
            },
            {
                title: "Show Author?",
                data: "show_author"
            },
            {
                title: "Show Timestamp?",
                data: "show_timestamp"
            },
            {
                title: "Show Images?",
                data: "show_images"
            },
            {
                title: "Fetch Images?",
                data: "fetch_images"
            },
            {
                title: "Title Mutator",
                data: "title_mutator"
            },
            {
                title: "Description Mutator",
                data: "description_mutator"
            }
        ]
    );
};


// region Load Data

$(document).on("selectedServerChange", async function() {
    await loadMessageStyleData();
});

$(document).on("doDataLoad", async function() {
    await loadMessageStyleData();
});

async function loadMessageStyleData() {
    if (!selectedServer) {
        return;
    }

    setTableFilter(styleTableId, "server", selectedServer.id);
    await loadTableData(styleTableId, "/api/message-styles/", "GET");
}
